Skip to main content
GET
/
commerce
/
customer
/
b2baccounts
/
{accountId}
/
roles
Error
A valid request URL is required to generate request examples
{
  "items": [
    {
      "accountIds": [
        123
      ],
      "auditInfo": {
        "createBy": "<string>",
        "createDate": "2023-11-07T05:31:56Z",
        "updateBy": "<string>",
        "updateDate": "2023-11-07T05:31:56Z"
      },
      "behaviors": [
        123
      ],
      "id": 123,
      "isSystemRole": true,
      "name": "<string>"
    }
  ],
  "pageCount": 123,
  "pageSize": 123,
  "startIndex": 123,
  "totalCount": 123
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

accountId
integer<int32>
required

B2B account ID

Query Parameters

responseFields
string

limits which fields are returned in the response body

Response

Success

items
object[] | null
pageCount
integer<int32>
pageSize
integer<int32>
startIndex
integer<int32>
totalCount
integer<int32>